/*
 * Class TABLE [INTEGER_64, INTEGER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_481 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_481 [] = {0xFF01,237,480,188,206,0xFFFF};
static const EIF_TYPE_INDEX egt_2_481 [] = {0xFF01,480,188,206,0xFFFF};
static const EIF_TYPE_INDEX egt_3_481 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_481 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_481 [] = {0xFF01,480,188,206,0xFFFF};
static const EIF_TYPE_INDEX egt_6_481 [] = {0xFF01,480,188,206,0xFFFF};
static const EIF_TYPE_INDEX egt_7_481 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_481 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_481 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_481 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_481 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_481 [] = {480,188,206,0xFFFF};
static const EIF_TYPE_INDEX egt_13_481 [] = {0xFF01,480,188,206,0xFFFF};
static const EIF_TYPE_INDEX egt_14_481 [] = {0xFF01,474,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_481 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_481 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_481 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_481 [] = {0xFFF8,2,0xFFFF};


static const struct desc_info desc_481[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_481), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_481), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_481), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_481), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_481), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_481), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_481), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_481), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_481), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_481), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_481), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_481), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_481), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_481), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1875, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1876, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1877, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1878, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1879, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_481), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_481), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1938, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1973, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1939, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1940, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_481), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_481), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_481), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
};
void Init481(void)
{
	IDSC(desc_481, 0, 480);
	IDSC(desc_481 + 1, 1, 480);
	IDSC(desc_481 + 32, 77, 480);
	IDSC(desc_481 + 41, 282, 480);
	IDSC(desc_481 + 50, 187, 480);
	IDSC(desc_481 + 56, 229, 480);
}


#ifdef __cplusplus
}
#endif
